// Copyright Fuzamei Corp. 2018 All Rights Reserved.
// Use of this source code is governed by a BSD-style
// license that can be found in the LICENSE file.

package types

type GuessGameStartTx struct {
	Topic                string   `json:"topic,omitempty"`
	Options              string   `json:"options,omitempty"`
	Category             string   `json:"category,omitempty"`
	MaxBetTime              string   `json:"maxTime,omitempty"`
	MaxBetHeight            int64    `json:"maxHeight,omitempty"`
	Symbol               string   `json:"symbol,omitempty"`
	Exec                 string   `json:"exec,omitempty"`
	MaxBets              uint32   `json:"maxBets,omitempty"`
	MaxBetsNumber        uint32   `json:"maxBetsNumber,omitempty"`
	DevFeeFactor         int64    `json:"devFeeFactor,omitempty"`
	DevFeeAddr           string   `json:"devFeeAddr,omitempty"`
	PlatFeeFactor        int64    `json:"platFeeFactor,omitempty"`
	PlatFeeAddr          string   `json:"platFeeAddr,omitempty"`
	Expire               string   `json:"expire,omitempty"`
	ExpireHeight         int64    `json:"expireHeight,omitempty"`
	Fee                  int64    `json:"fee,omitempty"`
}

type GuessGameBetTx struct {
	GameId               string   `json:"gameId,omitempty"`
	Option               string   `json:"option,omitempty"`
	BetsNum              uint32   `json:"betsNum,omitempty"`
	Fee                  int64    `json:"fee,omitempty"`
}

type GuessGameStopBetTx struct {
	GameId               string   `json:"gameId,omitempty"`
	Fee                  int64    `json:"fee,omitempty"`
}

type GuessGamePublishTx struct {
	GameId               string   `json:"gameId,omitempty"`
	Result               string   `json:"result,omitempty"`
	Fee                  int64    `json:"fee,omitempty"`
}

type GuessGameAbortTx struct {
	GameId               string   `json:"gameId,omitempty"`
	Fee                  int64    `json:"fee,omitempty"`
}
